Subject: Re: proj 3
From: Ernest Davis <[email-masked]>
To: Chee Yap <[email-masked]>
Date: Thu, 21 Apr 2005 12:20:33 -0400 (EDT)

Chee --
I'm attaching:
   A) The _assignment_ in C.
   B) A tar'ed directory with the _solution_ in Java (I didn't write the
      solution in C) plus input .stm files, sample inputs and associated
      sample outputs.

By the way, one of the students found late last year that my solution
has some kind of bug which leads to errors, 100 STM instructions or so 
into one of the sample outputs.  I never debugged it, and I forget the
details, but I can look up his email, or even fix the problem, if you 
want.

Let me know if you have any problems or need any more information.
-- Ernie

On Thu, 21 Apr 2005, Chee Yap wrote:

> Dear Ernie,
> I had used your project 1 (multiprocessing on stm) for my first os project.
> I would like to use your project 3 for my last os project. 
> I wonder if I could have your  sources for project 3 (and solutions)?
> I prefer to have the C version if possible.
> Thanks,
> --Chee
>
>
>